I just received some pretty sad news. The API that LauncherPro uses to access your Gmail messages (used on the Gmail widget and the Gmail dock notifications) is being removed in the next version of the Gmail app for Android 2.2 and higher. Apparently the API does not meet modern security standards.

What this means for LauncherPro users is once you update to this new version, your LauncherPro Plus Gmail widget, and LauncherPro Gmail dock notifications will stop working, and even potentially crash the launcher if you try to use them (I don’t have access to this upcoming version yet, so I cannot fully test it).

I apologize in advance for any inconvenience this may cause, and hope that the Android team will come out with a revised API soon enough, so that we can re-gain our Gmail integration in LauncherPro.

Fede